FROM openjdk:14.0-jdk as build

ENV APP_HOME=/root/

WORKDIR $APP_HOME
ADD gradle gradle
ADD build.gradle build.gradle
ADD gradlew gradlew
ADD src src

RUN ./gradlew build --no-daemon

# #############
# Final image
FROM openjdk:14.0-jdk
WORKDIR /root/
COPY --from=build /root/build/libs/*.jar app.jar

# RUN cp /root/build/libs/*.jar app.jar

EXPOSE 8080

CMD ["java", \
     "-XX:+UnlockExperimentalVMOptions", \
     "--enable-preview", \
     "-jar", \
     "app.jar"]
